Subject: BusyCursor addition, shaded titlebar bug report

From: Ben Winslow <[email-masked]>
Date: Sun, 31 Oct 1999 18:12:40 -0500 (EST)

First, the patch: 
The patch attached to this mail is just a small addition to the BusyCursor
code which allows the use of '*' to affect all of the options.  It's pretty
straightforward.

Second, the bug report:
When using pixmaps in the titlebar, the bottom border is drawn too high, and
is then overwritten by the pixmap.  The attached .gif is an example of this. 
Relevent statements from the configuration file:

TitleStyle LeftJustified Height 18 -- flat
AddTitleStyle TiledPixmap title-act.xpm
AddTitleStyle Inactive TiledPixmap title-inact.xpm -- flat

AddToFunc Move-or-Shade
+ "M" Move
+ "D" WindowShade

Mouse   1       T       N       Move-or-Shade

I poked around borders.c a while, but I'm really unfamiliar with that code,
so I had no luck finding the problem...

-- 
Ben Winslow          / [email-masked]
freshmeat news squad / freshmeat: http://www.freshmeat.net
|Rain| @ IRC         / anynet: irc.anynet.org
Index: fvwm/cursor.c
===================================================================
RCS file: /home/cvs/fvwm/fvwm/fvwm/cursor.c,v
retrieving revision 1.4
diff -r1.4 cursor.c
508c508
< 		     "dynamicmenu", NULL};
---
> 		     "dynamicmenu", "*", NULL};
556a557,562
>     case 5: /* "*" */
>       if (arg1 == 1) Scr.BusyCursor |= (BUSY_READ | BUSY_RECAPTURE | BUSY_WAIT | BUSY_MODULESYNCHRONOUS | BUSY_DYNAMICMENU);
>       else if (arg1 == 0) Scr.BusyCursor &= ~(BUSY_READ | BUSY_RECAPTURE | BUSY_WAIT | BUSY_MODULESYNCHRONOUS | BUSY_DYNAMICMENU);
>       else fvwm_msg(ERR,"BusyCursor","error in boolean specification");
>       break;
>